Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.routing.http
Class HttpRouter

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.routing.AbstractRouter
                  org.jboss.soa.esb.actions.routing.http.HttpRouter

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class HttpRouter

extends AbstractRouter

Http router.

Uses HttpClient via the HttpClientFactory.

Author:
  tom.fennelly@jboss.com

Field Summary

Fields inherited from class org.jboss.soa.esb.actions.routing.AbstractRouter
`payloadProxy, unwrap`

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`HttpRouter(ConfigTree config)`

Method Summary
`void` | `destroy()` Destroy the action instance.
`java.lang.String[]` | `getMappedHeaderList()`
`Message` | `process(Message message)` Perform the action processing on the specified message.
`void` | `route(java.lang.Object object)` Route the message or message payload.

Methods inherited from class org.jboss.soa.esb.actions.routing.AbstractRouter
`getPayloadProxy`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`initialise`

Constructor Detail

### HttpRouter

    public HttpRouter(ConfigTree config)
               throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Description copied from interface: `ActionPipelineProcessor`
  Perform the action processing on the specified message. This method is invoked for each message passing throught the pipeline.

  Specified by:
    `process` in interface `ActionPipelineProcessor`
  Overrides:
    `process` in class `AbstractRouter`
  Parameters:
    `message` - The current message being processed.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingException` - for errors during processing.

### getMappedHeaderList

    public java.lang.String[] getMappedHeaderList()

### route

    public void route(java.lang.Object object)
               throws ActionProcessingException

  Description copied from class: `AbstractRouter`
  Route the message or message payload.

  If the message is to be unwrapped, it will have been unwrapped at this stage.

  Specified by:
    `route` in class `AbstractRouter`
  Parameters:
    `object` - The object to route.
  Throws:
    `ActionProcessingException` - Exception during routing operation.

### destroy

    public void destroy()
                 throws ActionLifecycleException

  Description copied from class: `AbstractActionLifecycle`
  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Specified by:
    `destroy` in interface `ActionLifecycle`
  Overrides:
    `destroy` in class `AbstractActionLifecycle`
  Throws:
    `ActionLifecycleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD